@mixin app-v2c-scheduler-theme($theme) {
  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);
  $accent: map-get($theme, accent);

  app-v2c-scheduler {
    width: 100%;
    padding: 5px;
    overflow-x: hidden;
  }

  .v2c-scheduler {
    margin-top: 25px !important;
    display: flex;
    flex-direction: column;
    padding: 5px;
    background-color: mat-color($primary, 50);

    .v2c-scheduler-main-card {
      display: flex;
      flex-direction: column;
      padding: 0px;
      background-color: mat-color($primary, 50);

      .mat-card-header {
        width: 100%;
      }

      .mat-card-content {

        .example-small-box {
          display: flex;
          align-items: center;
          justify-content: center;
          background: white;
          .example-container {
            width: 100%;
            margin-right: 10px;
            margin-left: 10px;

            .mat-form-field-flex>.mat-form-field-infix {
              padding: 0.8em 0px !important;
              height: 30px;
            }
            
            .mat-form-field-infix {
              border-top: 0.14375em solid transparent;
            }
  
            .bottom-btn {
              button {
                margin: 10px;
                margin-top: 5px;
              }
              .save-btn {
                flex: auto;
              }
              .transmit-btn {
                flex: auto;
              }
            }
            .v2c-calendar {
              width: 80%;
              margin: auto;
            }
          }
        }
      }
    }
  }
}